Package org.apache.uima.resource

# Interface URISpecifier

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `ResourceServiceSpecifier`, `ResourceSpecifier`, `Serializable`, `XMLizable`

All Known Implementing Classes:
  `URISpecifier_impl`

public interface URISpecifier extends ResourceServiceSpecifier
A type of `ResourceSpecifier` that locates an existing `Resource` service by its URI.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RESOURCE_TYPE_ANALYSIS_ENGINE`
  Value for `getResourceType()` representing an Analysis Engine.
  `static final String`
  `RESOURCE_TYPE_CAS_CONSUMER`
  Value for `getResourceType()` representing a CAS Consumer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Parameter[]`
  `getParameters()`
  `String`
  `getProtocol()`
  Gets the name of the Protocol used to communicate with the service.
  `String`
  `getResourceType()`
  Retrieves the type of Resource (e.g.
  `Integer`
  `getTimeout()`
  Gets the timeout period in milliseconds.
  `String`
  `getUri()`
  Retrieves the URI at which a Resource may be located.
  `void`
  `setParameters(Parameter[] parameters)`
  `void`
  `setProtocol(String aProtocol)`
  Sets the name of the Protocol used to communicate with the service.
  `void`
  `setResourceType(String aResourceType)`
  Sets the type of Resource (e.g.
  `void`
  `setTimeout(Integer aTimeout)`
  Sets the timeout period in milliseconds.
  `void`
  `setUri(String aUri)`
  Sets the URI at which a Resource may be located.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Field Details

  - ### RESOURCE_TYPE_ANALYSIS_ENGINE

    static final String RESOURCE_TYPE_ANALYSIS_ENGINE
    Value for `getResourceType()` representing an Analysis Engine.
    See Also:
      - Constant Field Values

  - ### RESOURCE_TYPE_CAS_CONSUMER

    static final String RESOURCE_TYPE_CAS_CONSUMER
    Value for `getResourceType()` representing a CAS Consumer.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getResourceType

    String getResourceType()
    Retrieves the type of Resource (e.g. Analysis Engine, CAS Consumer) that the service at this URI is expected to implement. This is optional, but useful for clients to know what to do with the URISpecifier.
    Returns:
      the type of Resource. This should be one of the constants on this class, or null if the resource type is not specified.

  - ### setResourceType

    void setResourceType(String aResourceType)
    Sets the type of Resource (e.g. Analysis Engine, CAS Consumer) that the service at this URI is expected to implement. This is optional, but useful for clients to know what to do with the URISpecifier.
    Parameters:
      `aResourceType` - the type of Resource. This should be one of the constants on this class, or null to indicate that the resource type is not specified.

  - ### getUri

    String getUri()
    Retrieves the URI at which a Resource may be located.
    Returns:
      a URI string

  - ### getProtocol

    String getProtocol()
    Gets the name of the Protocol used to communicate with the service. Protocol names are defined in the `Constants` class.
    Returns:
      the name of the protocol.

  - ### getTimeout

    Integer getTimeout()
    Gets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.
    Returns:
      the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.

  - ### setUri

    void setUri(String aUri)
    Sets the URI at which a Resource may be located.
    Parameters:
      `aUri` - a URI string

  - ### setProtocol

    void setProtocol(String aProtocol)
    Sets the name of the Protocol used to communicate with the service. Protocol names are defined in the `Constants` class.
    Parameters:
      `aProtocol` - the name of the protocol.

  - ### setTimeout

    void setTimeout(Integer aTimeout)
    Sets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.
    Parameters:
      `aTimeout` - the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.

  - ### getParameters

    Parameter[] getParameters()
    Returns:
      Returns the Parameters.

  - ### setParameters

    void setParameters(Parameter[] parameters)
    Parameters:
      `parameters` - The Parameters to set.